## gap 1.5-1

=== DESCRIPTION ===
Package: gap
Version: 1.5-1
Date: 2023-1-22
Title: Genetic Analysis Package
Authors@R: c(person("Jing Hua", "Zhao", role = c("aut", "cre"),
                    email = "jinghuazhao@hotmail.com",
                    comment = c(ORCID = "0000-0002-1463-5870", "0000-0003-4930-3582")),
    person("Kurt", "Hornik", role = "ctb"),
    person("Brian", "Ripley", role = "ctb"),
    person("Uwe", "Liggs", role = "ctb"),
    person("Achim", "Zeileis", role = "ctb")
  )
URL: https://github.com/jinghuazhao/R
BugReports: https://github.com/jinghuazhao/R/issues
Depends: R (>= 2.10), gap.datasets
Imports: dplyr, ggplot2, plotly
Suggests: BradleyTerry2, DiagrammeR, DOT, MASS, Matrix, MCMCglmm,
        R2jags, bdsmatrix, bookdown, calibrate, circlize, coda,
        cowplot, coxme, foreign, forestplot, genetics, grid,
        haplo.stats, htmlwidgets, jsonlite, kinship2, knitr, lattice,
        magic, manhattanly, matrixStats, meta, metafor, nlme, pedigree,
        pedigreemm, plotrix, readr, reshape, rmarkdown, rmeta, rms,
        survival
VignetteBuilder: knitr
Enhances: shiny
Description: As first reported [Zhao, J. H. 2007. "gap: Genetic Analysis Package". J Stat Soft 23(8):1-18.
        <doi:10.18637/jss.v023.i08>], it is designed as an integrated package for genetic data
        analysis of both population and family data. Currently, it contains functions for
        sample size calculations of both population-based and family-based designs, probability
        of familial disease aggregation, kinship calculation, statistics in linkage analysis,
        and association analysis involving genetic markers including haplotype analysis with or
        without environmental covariates. Over years, the package has been developed in-between
        many projects hence also in line with the name (gap).
License: GPL (>= 2)
LazyData: Yes
LazyLoad: Yes
NeedsCompilation: yes
Repository: CRAN
Encoding: UTF-8
Packaged: 2023-01-22 19:55:41 UTC; jhz22
Date/Publication: 2023-01-22 21:40:07 UTC
RoxygenNote: 7.2.3
Author: Jing Hua Zhao [aut, cre] (<https://orcid.org/0000-0002-1463-5870>,
    0000-0003-4930-3582),
  Kurt Hornik [ctb],
  Brian Ripley [ctb],
  Uwe Liggs [ctb],
  Achim Zeileis [ctb]
Maintainer: Jing Hua Zhao <jinghuazhao@hotmail.com>

## gap 1.5-3

=== DESCRIPTION ===
Type: Package
Package: gap
Title: Genetic Analysis Package
Version: 1.5-3
Date: 2023-8-25
Authors@R: c(
    person("Jing Hua", "Zhao", role = c("aut", "cre"),
           email = "jinghuazhao@hotmail.com",
           comment = c(ORCID = "0000-0002-1463-5870", "0000-0003-4930-3582")),
    person("Kurt", "Hornik", role = "ctb"),
    person("Brian", "Ripley", role = "ctb"),
    person("Uwe", "Ligges", role = "ctb"),
    person("Achim", "Zeileis", role = "ctb")
  )
Description: As first reported [Zhao, J. H. 2007. "gap: Genetic Analysis Package". J Stat Soft 23(8):1-18.
        <doi:10.18637/jss.v023.i08>], it is designed as an integrated package for genetic data
        analysis of both population and family data. Currently, it contains functions for
        sample size calculations of both population-based and family-based designs, probability
        of familial disease aggregation, kinship calculation, statistics in linkage analysis,
        and association analysis involving genetic markers including haplotype analysis with or
        without environmental covariates. Over years, the package has been developed in-between
        many projects hence also in line with the name (gap).
License: GPL (>= 2)
URL: https://github.com/jinghuazhao/R
BugReports: https://github.com/jinghuazhao/R/issues
Depends: R (>= 2.10), gap.datasets (>= 0.0.6)
Imports: dplyr, ggplot2, plotly, Rdpack
Suggests: BradleyTerry2, DiagrammeR, DOT, MASS, Matrix, MCMCglmm,
        R2jags, bdsmatrix, bookdown, calibrate, circlize, coda,
        cowplot, coxme, foreign, genetics, grid, haplo.stats,
        htmlwidgets, jsonlite, kinship2, knitr, lattice, magic,
        manhattanly, matrixStats, meta, metafor, nlme, pedigree,
        pedigreemm, plotrix, readr, reshape, rmarkdown, rms, survival
Enhances: shiny
LazyData: Yes
LazyLoad: Yes
NeedsCompilation: yes
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.2.3
RdMacros: Rdpack
Author: Jing Hua Zhao [aut, cre] (<https://orcid.org/0000-0002-1463-5870>,
    0000-0003-4930-3582),
  Kurt Hornik [ctb],
  Brian Ripley [ctb],
  Uwe Ligges [ctb],
  Achim Zeileis [ctb]
Maintainer: Jing Hua Zhao <jinghuazhao@hotmail.com>
Repository: CRAN
Date/Publication: 2023-08-26 14:10:07 UTC
Packaged: 2023-08-25 16:30:43 UTC; jhz22

## gap 3.4.4-1

=== src/Makefile ===
#############################################################################
##
#A  Makefile                    GAP source                   Martin Schoenert
##
#H  @(#)$Id: Makefile,v 1.5 1997/04/25 14:32:55 ahulpke Exp $
##
#Y  Copyright (C)  1994,  Lehrstuhl D fuer Mathematik,  RWTH Aachen,  Germany
##
##  This file contains the definitions and actions to compile and  link  GAP.
##
##  To compile and link GAP you simply enter
##
##      make
##
##  for a list of targets  of the form  '<vendor>-<cpu>-<system>-<compiler>',
##  such as 'sun-sparc-sunos-gcc2',  which is the target for a Sun 4  machine
##  running the SunOS operating system with the GNU C compiler version 2.
##
##  Choose the best matching target and enter
##
##      make  <target>
##
##  e.g., enter 'make sun-sparc-sunos-gcc2',  to compile all the source files
##  and produce an executable file 'gap'.
##
##  Note  that  the  targets  are  listed  according  to   preference,  e.g.,
##  'sun-sparc-sunos-gcc2' is listed before 'sun-sparc-sunos-cc' because  the
##  GNU  C compiler produces faster code on Sun 4 machines than native 'cc'.
##
##  If no target matches precisely, use 'bsd' (if  your UNIX is more Berkely)
##  or 'usg' (if your UNIX is more  System  V).   If compilation  of the file
##  'system.c'  fails or  the command line editing does not work,  remove the
##  file 'system.o' and try the other target.
##
##  To specify additional compiler and linker options enter
##
##      make  <target>  COPTS=<compiler-options>  LOPTS=<linker-options>
##
##  e.g., enter 'make sun-sparc-sunos-gcc2 COPTS=-g LOPTS=-g' to compile  GAP
##  with debugging information.
##
##  To compile  GAP on a  DOS machine you need DJGPP version 1.11m5 or higher
##  (available from     'ftp.informatik.rwth-aachen.de').    DJGPP    must be
##  installed in  the directory '\DJGPP\',  because the  linkage script looks
##  for the DOS extender 'GO32.EXE' in  '\DJGPP\BIN\'.  If you have installed
##  DJGPP differently you have to change this below.
##
##  To compile GAP on an  IBM PC compatible under  OS/2 you must comment  out
##  the line 'SHELL = /bin/sh' below.
##
#H  $Log: Makefile,v $
#H  Revision 1.5  1997/04/25 14:32:55  ahulpke
#H  added djppcross
#H
#H  Revision 1.4  1997/04/14 10:17:35  gap
#H  Minor solaris changes
#H
#H  Revision 1.3  1997/04/14 09:28:29  gap
#H  Added solaris
#H
#H  Revision 1.2  1997/02/05 15:41:18  werner
#H  Added targets for NEXTSTEP 3 on i386.
#H
#H  Revision 1.1.1.1  1996/12/11 12:43:50  werner
#H  Preparing 3.4.4 for release
#H
#H  Revision 3.16  1994/06/09  20:55:51  mschoene
#H  added coding theory package
#H
#H  Revision 3.15  1994/06/03  12:02:32  mschoene
#H  updated 'ibm-i386-dos-djgpp' entry for DJGPP 1.11m5
#H
#H  Revision 3.14  1994/01/17  12:11:34  fceller
#H  added options for 'sun-sparc-sunos-gcc2'
#H
#H  Revision 3.13  1994/01/17  09:47:13  fceller
#H  added options for 'ibm-power-aix-cc'
#H
#H  Revision 3.12  1993/12/30  07:43:59  mschoene
#H  added options for 'sgi-mips-irix-gcc2' and 'sgi-mips-irix-cc'
#H
#H  Revision 3.11  1993/12/30  07:36:42  mschoene
#H  added options and 'emxbind' command for 'ibm-i386-os2-emx'
#H
#H  Revision 3.10  1993/10/28  18:24:46  martin
#H  fixed the compilation flags for 'ibm-i386-linux-gcc2'
#H
#H  Revision 3.9  1993/10/18  12:43:17  martin
#H  changed to use <vendor>-<cpu>-<system>-<compiler> and only one system file
#H
#H  Revision 3.8  1993/02/25  16:49:18  fceller
#H  added 'sgi-irix4-gcc2' and 'sgi-irix4-cc' (with 'SYS_HAS_SYSTEM_ARG')
#H
#H  Revision 3.7  1993/02/25  16:45:59  fceller
#H  added 'SYS_HAS_SIG_T' for 'SYS_IS_USG'
#H
#H  Revision 3.6  1993/02/04  10:51:10  martin
#H  added 'plist' and 'vecffe' and cleaned up
#H
#H  Revision 3.5  1993/01/27  12:48:30  martin
#H  added more comments
#H
#H  Revision 3.4  1993/01/27  12:17:29  martin
#H  fixed 'ibmpc-msdos-djgpp'
#H
#H  Revision 3.3  1993/01/12  13:23:53  fceller
#H  changed 'ibmpc-386bsd-gcc' to 'ibmpc-386bsd-cc'
#H
#H  Revision 3.2  1992/11/30  13:09:45  fceller
#H  added 'next-mach-gcc2'
#H
#H  Revision 3.1  1992/11/16  18:49:03  martin
#H  initial revision under RCS (of the new Makefile)
#H
##
SHELL = /bin/sh


#############################################################################
##
#T  Targets . . . . .  targets of the form <vendor>-<cpu>-<system>-<compiler>
##
##  Following are the targets that the  user can specify.  Each target  calls
##  'make' recursively twice.
##
##  The first time it calls
##
##      @$(MAKE) <system-file>.o  CFLAGS="$(COPTS) <copts>"
##
##  where <system-file> is either 'system' or the name of another system file
##  and where <copts> are the options to  pass to  pass  to  the  C compiler,
##  e.g., 'SYS_IS_BSD' or 'SYS_IS_MSDOS'.
##
##  The second time it calls
##
##      @$(MAKE) gap  CC=<c-compiler> CFLAGS="$(COPTS) <opts>" \
##                    SYS_FILE=<system-file>.o LOPTS="$(LOPTS)"
##
##  where <system-file> is the same file as above, <c-compiler> is  the  name
##  of the C compiler to use ($(CC) is used if this is not present),  <copts>
##  are  the options to pass ot  the  C compiler, e.g., '-O2'.
##
unknown:
	@echo "usage: 'make <target>' where target is one of"
	@echo "'atari-m68k-tos-gcc2'   for Atari ST under TOS with GNU cc 2"
	@echo "'dec-mips-ultrix-gcc2'  for DECstation under Ultrix with GNU cc 2"
	@echo "'dec-mips-ultrix-cc'    for DECstation under Ultrix with cc"
	@echo "'hp-hppa1.0-hpux-cc'    for HP 9000/800 under HP-UX with cc"
	@echo "'hp-hppa1.1-hpux-cc'    for HP 9000/700 under HP-UX with cc"
	@echo "'ibm-power-aix-cc'      for IBM RS/6000 under AIX with cc"
	@echo "'ibm-i386-386bsd-gcc2'  for IBM PC under 386BSD with GNU cc 2"
	@echo "'ibm-i386-386bsd-cc'    for IBM PC under 386BSD with cc (GNU)"
	@echo "'ibm-i386-linux-gcc2'   for IBM PC under Linux with GNU cc 2"
	@echo "'ibm-i386-dos-djgpp'    for IBM PC under MSDOS with DJ GNU cc"
	@echo "'ibm-i386-os2-emx'      for IBM PC under OS/2 with EMX GNU cc"
	@echo "'mips-mips-bsd-cc'      for MIPS under RISC/os Berkeley with cc"
	@echo "'mips-mips-sysv-cc'     for MIPS under RISC/os System V with cc"
	@echo "'next-m68k-mach-gcc2'   for NEXTSTEP 3 on NeXT   with GNU cc 2"
	@echo "'next-m68k-mach-cc'     for NEXTSTEP 3 on NeXT   with cc (GNU)"
	@echo "'next-i386-mach-gcc2'   for NEXTSTEP 3 on IBM PC with GNU cc 2"
	@echo "'next-i386-mach-cc'     for NEXTSTEP 3 on IBM PC with cc (GNU)"
	@echo "'sequent-i386-dynix-cc' for Sequent Symmetry under Dynix with cc"
	@echo "'sgi-mips-irix-gcc2'    for SGI under Irix with GNU cc 2"
	@echo "'sgi-mips-irix-cc'      for SGI under Irix with cc"
	@echo "'sun-m68k-sunos-gcc2'   for SUN 3 under SunOS with GNU cc 2"
	@echo "'sun-m68k-sunos-cc'     for SUN 3 under SunOS with cc"
	@echo "'sun-sparc-solaris-cc'  for SUN under Solaris with cc"
	@echo "'sun-sparc-sunos-gcc2'  for SUN 4 under SunOS with GNU cc 2"
	@echo "'sun-sparc-sunos-cc'    for SUN 4 under SunOS with cc"
	@echo "'bsd'                   for others under Berkeley UNIX with cc"
	@echo "'usg'                   for others under System V UNIX with cc"
	@echo "   targets are listed according to preference, i.e.,"
	@echo "   'sun-sparc-sunos-gcc2' is better than 'sun-sparc-sunos-cc'."
	@echo "   additional C compiler and linker flags can be passed with"
	@echo "   'make <target> COPTS=<compiler-opts> LOPTS=<linker-opts>',"
	@echo "   i.e., 'make sun-sparc-sunos-gcc2 COPTS=-g LOPTS=-g.'"

# 'unistd.h' claims 'sbrk' has first argument 'size_t' (UNIX says 'int')
atari-m68k-tos-gcc2:
	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_TOS_GCC2 -DSYS_HAS_MISC_PROTO"
	@$(MAKE) gap.ttp    CC=gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

dec-mips-ultrix-gcc2:
	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_BSD"
	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

dec-mips-ultrix-gcc2-debug:
	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -g -ansi -Wall -pedantic -DSYS_IS_BSD"
	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -g -ansi -Wall -pedantic"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

# Ultrix is a almost ANSI (but does not support 'const')
dec-mips-ultrix-cc:
	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_BSD -DSYS_HAS_ANSI=1"
	@$(MAKE) gap        CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

# HP-UX is almost ANSI
# 'sys/times.h' claims 'times' returns 'clock_t' (how shall it return -1?)
hp-hppa1.0-hpux-cc:
	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_ANSI=1 -DSYS_HAS_CONST=const -DSYS_HAS_TIME_PROTO"
	@$(MAKE) gap        CFLAGS="$(COPTS) -O"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

# HP-UX is almost ANSI
# 'sys/times.h' claims 'times' returns 'clock_t' (how shall it return -1?)
hp-hppa1.1-hpux-cc:
	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_ANSI=1 -DSYS_HAS_CONST=const -DSYS_HAS_TIME_PROTO"
	@$(MAKE) gap        CFLAGS="$(COPTS) -O"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

ibm-power-aix-cc:
	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_SIG_T=int -DSYS_HAS_SIGNAL_PROTO -DSYS_HAS_STRING_PROTO"
	@$(MAKE) gap        CFLAGS="-O"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

# 'stdio.h' claims 'fgets' has second argument 'size_t' (ANSI says 'int')
# 'sys/ioctl.h' claims 'ioctl' has third argument '...' (UNIX says 'char*')
# 'sys/signal.h' claims 'kill' has first argument 'pid_t' (UNIX says 'int')
ibm-i386-386bsd-gcc2:
	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_BSD -DSYS_HAS_STDIO_PROTO -DSYS_HAS_IOCTL_PROTO -DSYS_HAS_SIGNAL_PROTO"
	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

# 'stdio.h' claims 'fgets' has second argument 'size_t' (ANSI says 'int')
# 'sys/ioctl.h' claims 'ioctl' has third argument '...' (UNIX says 'char*')
# 'sys/signal.h' claims 'kill' has first argument 'pid_t' (UNIX says 'int')
ibm-i386-386bsd-cc:
	@$(MAKE) system.o   CC=cc  CFLAGS="$(COPTS) -DSYS_IS_BSD -DSYS_HAS_STDIO_PROTO -DSYS_HAS_IOCTL_PROTO -DSYS_HAS_SIGNAL_PROTO"
	@$(MAKE) gap        CC=cc  CFLAGS="$(COPTS) -O"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

ibm-i386-linux-gcc2:
	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_TIME_PROTO -DSYS_HAS_SIG_T=void"
	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

# 'std.h' claims 'strncat' has third argument 'int' (ANSI says 'size_t')
# 'stdio.h' claims 'setbuf' has return type 'int' (UNIX says 'void')
# 'std.h' claims 'sbrk' has return type 'void*' (UNIX says 'char*')
ibm-i386-dos-djgpp:
	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_MSDOS_DJGPP -DSYS_HAS_STRING_PROTO -DSYS_HAS_STDIO_PROTO -DSYS_HAS_MISC_PROTO"
	@$(MAKE) gapdjg.exe CC=gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

ibm-i386-dos-djgppcross:
	@$(MAKE) system.o   CC=dos-gcc  CFLAGS="$(COPTS) -DSYS_IS_MSDOS_DJGPP -DSYS_HAS_STRING_PROTO -DSYS_HAS_STDIO_PROTO -DSYS_HAS_MISC_PROTO"
	@$(MAKE) gapdjg.exe CC=dos-gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

ibm-i386-os2-emx:
	@$(MAKE) sytem.o    CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_OS2_EMX -DSYS_HAS_STDIO_PROTO -DSYS_HAS_TIME_PROTO -DSYS_HAS_MISC_PROTO"
	@$(MAKE) gapemx.exe CC=gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"

# 'sys/signal.h' claims signal handlers return 'int' (in SysV 'void')
mips-mips-bsd-cc:
	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_BSD -DSYS_HAS_SIG_T=int -systype bsd43"
	@$(MAKE) gap        CFLAGS="$(COPTS) -O2 -systype bsd43"  SYS_FILE=system.o  LOPTS="$(LOPTS) -systype bsd43"

mips-mips-sysv-cc:
	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_USG -systype sysv"
	@$(MAKE) gap        CFLAGS="$(COPTS) -O2 -systype sysv"  SYS_FILE=system.o  LOPTS="$(LOPTS) -systype sysv"

next-m68k-mach-gcc2:
	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_MACH"
	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -O2" SYS_FILE=system.o  LOPTS="$(LOPTS)"

next-m68k-mach-cc:
	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_MACH"

=== debian/changelog ===
gap (3.4.4-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 21 Jan 1998 20:20:03 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:

=== debian/control ===
Source: gap
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: gap
Architecture: i386
Depends: ${shlibs:Depends}
Description: gap is a system for computational discrete algebra.
 gap is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel, which makes 
 use of readline, implements a pascal-like language. Many libraries 
 and data bases are included.  A thorough html manual is included.
 See http://www-gap.dcs.st-and.ac.uk/~gap 
 http://www.math.rwth-aachen.de/LDFM/GAP (Mirror Site)
 http://www.ccs.neu.edu/mirrors/GAP (Mirror Site)
 http://wwwmaths.anu.edu.au/research.groups/algebra/GAP/www/ (Mirror Site)

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=gap

build:
	$(checkdir)
	mkdir debian/html
	cd etc; ./convert.pl -c ../doc  ../debian/html
	cd src ; patch Makefile < ../debian/makefile_patch
	cd src; make ibm-i386-linux-gcc2 
	touch build

clean:
	$(checkdir)
#   Restore original makefile.
	if [ ! -e debian/Makefile.orig ]; then cp  src/Makefile debian/Makefile.orig; fi
	cp -f debian/Makefile.orig src/Makefile
	-rm -f build
# target clean does not exist
	rm -f src/*.o
	rm -f src/gap
	rm -rf debian/html
#	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	install -d debian/tmp/usr/lib/gap
	install -d debian/tmp/usr/lib/gap/bin
	install -d debian/tmp/usr/doc/gap/html
	install -d debian/tmp/usr/man/man1
	cp  debian/html/* debian/tmp/usr/doc/gap/html
	cp debian/gap.sh.debian debian/tmp/usr/bin/gap
	cp src/gap debian/tmp/usr/lib/gap/bin/gap
	cp -r etc debian/tmp/usr/lib/gap
	cp -r grp debian/tmp/usr/lib/gap
	cp -r lib debian/tmp/usr/lib/gap
	cp -r tst debian/tmp/usr/lib/gap
	cp -r doc debian/tmp/usr/lib/gap
	cp debian/gap.1 debian/tmp/usr/man/man1
		
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-shlibdeps src/gap
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## gap 3.4.4-3

=== src/Makefile ===
--- 
+++ 
@@ -224,8 +224,12 @@
 	@$(MAKE) gap        CC=cc  CFLAGS="$(COPTS) -O"  SYS_FILE=system.o  LOPTS="$(LOPTS)"
 
 ibm-i386-linux-gcc2:
-	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_TIME_PROTO -DSYS_HAS_SIG_T=void"
-	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"
+	@$(MAKE) system.o   CC=$(DCC)  CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_IOCTL_PROTO -DSYS_HAS_TIME_PROTO -DSYS_HAS_SIG_T=void"
+	@$(MAKE) gap        CC=$(DCC)  CFLAGS="$(COPTS) $(DCFLAG)"  SYS_FILE=system.o  LOPTS="$(LOPTS)"
+
+any-linux:
+	@$(MAKE) system.o   CC=$(DCC)  CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_IOCTL_PROTO -DSYS_HAS_TIME_PROTO -DSYS_HAS_SIG_T=void"
+	@$(MAKE) gap        CC=$(DCC)  CFLAGS="$(COPTS) $(DCFLAG)"  SYS_FILE=system.o  LOPTS="$(LOPTS)"
 
 # 'std.h' claims 'strncat' has third argument 'int' (ANSI says 'size_t')
 # 'stdio.h' claims 'setbuf' has return type 'int' (UNIX says 'void')
@@ -252,8 +256,3 @@
 	@$(MAKE) gap        CFLAGS="$(COPTS) -O2 -systype sysv"  SYS_FILE=system.o  LOPTS="$(LOPTS) -systype sysv"
 
 next-m68k-mach-gcc2:
-	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_MACH"
-	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -O2" SYS_FILE=system.o  LOPTS="$(LOPTS)"
-
-next-m68k-mach-cc:
-	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_MACH"

=== debian/changelog ===
gap (3.4.4-3) unstable; urgency=low

  * Support other archs, (I hope)
  * Fixed a few linitian bugs
	
 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun, 27 Sep 1998 19:03:08 -0700

gap (3.4.4-2) unstable; urgency=low

  * Moved to non-free because of non-commercial restriction

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat,  8 Aug 1998 22:24:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gap
-Section: math
+Section: non-free/math
 Priority: optional
 Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
 Standards-Version: 2.3.0.1
 
 Package: gap
-Architecture: i386
+Architecture: any
 Depends: ${shlibs:Depends}
-Description: gap is a system for computational discrete algebra.
+Description: system for computational discrete algebra.
  gap is a system for computational discrete algebra with particular
  emphasis on computational group theory, but which has already proved
  useful also in other areas.   In the example text, gap is used to

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,21 @@
 
 package=gap
 
+CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)
+
 build:
 	$(checkdir)
 	mkdir debian/html
 	cd etc; ./convert.pl -c ../doc  ../debian/html
-	cd src ; patch Makefile < ../debian/makefile_patch
-	cd src; make ibm-i386-linux-gcc2 
+#	cd src ; patch Makefile < ../debian/makefile_patch
+	cd src; make DCC=$(CC) DCFLAG="-O3" any-linux
 	touch build
 
 clean:
 	$(checkdir)
 #   Restore original makefile.
-	if [ ! -e debian/Makefile.orig ]; then cp  src/Makefile debian/Makefile.orig; fi
-	cp -f debian/Makefile.orig src/Makefile
+#	if [ ! -e debian/Makefile.orig ]; then cp  src/Makefile debian/Makefile.orig; fi
+#	cp -f debian/Makefile.orig src/Makefile
 	-rm -f build
 # target clean does not exist
 	rm -f src/*.o

## gap 4r4p10

=== cnf/Makefile ===
#############################################################################
##
#W  Makefile			GAP source			 Frank Celler
##
#H  @(#)$Id: Makefile,v 4.15.4.1 2006/03/06 13:37:07 gap Exp $
##
#Y  Copyright (C)  1997,  Lehrstuhl D fuer Mathematik,	RWTH Aachen,  Germany
##
##  This file creates the `configure' scripts using `autoconf'.
##
CC=cc

SOURCE=\
ariths		blister		bool		c_meths1	c_type1	\
c_oper1         c_filt1   	c_random \
calls		code		compiler	compstat	costab	\
cyclotom	dt		dteval		exprs		finfield\
funcs		gap		gasman		gvars		integer	\
intrprtr	listfunc	listoper	lists		objcftl	\
objects		objfgelm	objpcgel	objscoll	objccoll\
opers		permutat	plist		precord		range	\
rational	read		records		saveload	scanner \
sctable		set		stats		streams		string	\
sysfiles	system		tietze		vars		vecgf2	\
vec8bit         vector		vecffe		weakptr		iostream \
float


default: configure.out ../configure

configure.out: configure.in aclocal.m4 config.hin
	autoconf
	sed -e 's%^srcdir=$$%srcdir=../../src%' < configure > configure.out
	chmod 755 configure.out
	rm configure

../configure: ../configure.in
	( cd .. ; autoconf )

Makegap.in: AlwaysMakegap.in

AlwaysMakegap.in:
	@echo "creating 'Makegap.in'"
	@cp Makegap.top Makegap.in
	@echo >> Makegap.in
	@echo '# OBJECTS are generated from SOURCE' >> Makegap.in
	@echo -n "OBJECTS=" >> Makegap.in
	@eval 'for i in $(SOURCE); do echo -n "$$i.o "; done' >> Makegap.in
	@echo '$$(GAPMPI_OBJ)' >> Makegap.in
	@echo >> Makegap.in
	@echo >> Makegap.in
	@echo '# compile and link GAP' >> Makegap.in
	@echo 'gap: $$(OBJECTS)' >> Makegap.in
	@echo '	$$(CC) $$(CFLAGS) $$(LDFLAGS) -o gap $$(OBJECTS) -lm $$(MPILIBS) @LIBS@' >> Makegap.in
	@echo >> Makegap.in
	@echo '# dependencies are automatically generated' >> Makegap.in
	@(for i in `eval 'echo $(SOURCE)'`; do \
	    $(CC) -MM -I .. -DUSE_PRECOMPILED ../src/$$i.c; \
	    echo '	$$(CC) -I. -I../.. -DCONFIG_H $$(CFLAGS)' -o $$i.o -c ../src/$$i.c; \
	    echo ; \
	done \
	) | sed -e 's:../src:@srcdir@:g' >> Makegap.in
	@cat Makegap.bottom >> Makegap.in

=== doc/build/Makefile ===
#############################################################################
##
#W  Makefile                    GAP autodoc                  Alexander Hulpke
##
#H  @(#)$Id: Makefile,v 1.49.2.1 2005/05/12 12:03:08 gap Exp $
##
#Y  (C) 1998 School Math and Comp. Sci., University of St.  Andrews, Scotland
##

BUILD = ../../etc/buildman.pe

default: ._all

all:
	rm -f ._*
	make ._all

test: 
	$(BUILD) -f config.testall

._all: ../ref/manual.dvi ../new/manual.dvi ../prog/manual.dvi 
	touch ._all

../ref/manual.dvi: ._coll ._basic ._groups ._grppc ._rings ._number \
	._mapping ._oper ._ratfun ._grplib ._alg ._linalg ._fp \
	._install ._environ ._options ._system ._relation ._rws ._trans \
	._fpsemi ._tom ._ctbl ._orders ../ref/obsolete.tex
	(cd ../ref;tex manual)
	fgrep "undefined" ../ref/manual.log

../new/manual.dvi: ._new ._grpchain
	(cd ../new; tex manual)

../prog/manual.dvi: ._prog
	(cd ../prg; tex manual)

._system: config.system streams.msk
	$(BUILD) -f config.system
	touch ._system

._coll: config.coll coll.msk lists.msk string.msk record.msk domain.msk\
	blist.msk combinat.msk boolean.msk
	$(BUILD) -f config.coll
	touch ._coll

._basic: config.basic addmagma.msk magma.msk monoid.msk semigrp.msk
	$(BUILD) -f  config.basic
	touch ._basic

._groups: config.groups groups.msk grpprod.msk grpmat.msk
	$(BUILD) -f config.groups
	touch ._groups

._grppc: config.grppc grppc.msk pcgs.msk
	$(BUILD) -f config.grppc
	touch ._grppc

._fp: config.fp word.msk wordass.msk grpfp.msk pres.msk
	$(BUILD) -f config.fp
	touch ._fp

._rings: config.rings rings.msk module.msk fields.msk fieldfin.msk \
	fldabnum.msk vspc.msk
	$(BUILD) -f config.rings
	touch ._rings

._linalg: config.linalg vspc.msk vector.msk matrix.msk matint.msk
	$(BUILD) -f config.linalg
	touch ._linalg

._number: config.number integers.msk numtheor.msk rational.msk cyclotom.msk \
	unknown.msk padics.msk fldabnum.msk
	$(BUILD) -f config.number
	touch ._number

._mapping: config.mapping mapping.msk grphomom.msk
	$(BUILD) -f config.mapping
	touch ._mapping

._oper: config.oper grpoper.msk grpperm.msk permutat.msk
	$(BUILD) -f config.oper
	touch ._oper

._options: config.options options.msk
	$(BUILD) -f config.options
	touch ._options

._orders: config.orders orders.msk
	$(BUILD) -f config.orders
	touch ._orders

._ratfun: config.ratfun ratfun.msk algfld.msk
	$(BUILD) -f config.ratfun
	touch ._ratfun

._grplib: config.grplib grplib.msk
	$(BUILD) -f config.grplib
	touch ._grplib

._alg: config.alg algebra.msk algfp.msk alglie.msk mgmring.msk
	$(BUILD) -f config.alg
	touch ._alg

._environ: config.environ language.msk debug.msk objects.msk types.msk mloop.msk function.msk process.msk
	$(BUILD) -f config.environ
	touch ._environ

._install: config.install install.msk run.msk gappkg.msk \
	refcover.msk tutcover.msk prgcover.msk extcover.msk ficover.msk\
	newcover.msk copyrigh.msk
	$(BUILD) -f config.install
	mv ../ref/newcover.tex ../new/newcover.tex
	touch ._install

._relation: config.relation relation.msk
	$(BUILD) -f config.relation
	touch ._relation

._rws: config.rws rws.msk
	$(BUILD) -f config.rws
	touch ._rws

._trans: config.trans trans.msk
	$(BUILD) -f config.trans
	touch ._trans

._fpsemi: config.fpsemi fpsemi.msk
	$(BUILD) -f config.fpsemi
	touch ._fpsemi

._tom: config.tom tom.msk
	$(BUILD) -f config.tom
	touch ._tom

._ctbl: config.ctbl ctbl.msk ctblfuns.msk ctblmaps.msk \
        ctblmono.msk
	$(BUILD) -f config.ctbl
	touch ._ctbl

._grpchain: config.grpchain hash2.msk quogphom.msk gptransv.msk \
        grpchain.msk
	$(BUILD) -f config.grpchain
	touch ._grpchain

._prog: config.prog intrfc.msk
	$(BUILD) -f config.prog
	touch ._prog

._new: config.new streams.msk
	$(BUILD) -f config.new
	touch ._new

=== doc/htm/Makefile ===
#############################################################################
##
#W  Makefile                    GAP autodoc                  Alexander Hulpke
##
#H  @(#)$Id: Makefile,v 1.8 2003/11/17 22:36:13 gap Exp $
##
#Y  (C) 1998 School Math and Comp. Sci., University of St.  Andrews, Scotland
##
BUILD = ../../etc/convert.pl -u
BUILDIE = ../../etc/convert.pl -t

default: all

all: ref/chapters.htm ext/chapters.htm tut/chapters.htm prg/chapters.htm new/chapters.htm\
	theindex.htm

ref/chapters.htm: ../ref/manual.dvi ../../etc/convert.pl
	$(BUILD) -c ../ref ref

ext/chapters.htm: ../ext/manual.dvi ../../etc/convert.pl
	$(BUILD) -c ../ext ext

tut/chapters.htm: ../tut/manual.dvi ../../etc/convert.pl
	$(BUILD) -c ../tut tut

prg/chapters.htm: ../prg/manual.dvi ../../etc/convert.pl
	$(BUILD) -c ../prg prg

new/chapters.htm: ../new/manual.dvi ../../etc/convert.pl
	$(BUILD) -c ../new new

theindex.htm: ref/chapters.htm tut/chapters.htm ext/chapters.htm \
	prg/chapters.htm new/chapters.htm ../../etc/convert.pl
	chmod 755 allhtmlindex
	chmod 755 onehtmlindex
	./allhtmlindex

../ref/manual.dvi:
	(cd ../ref;tex manual)

../ext/manual.dvi:
	(cd ../ext;tex manual)

../tut/manual.dvi:
	(cd ../tut;tex manual)

../prg/manual.dvi:
	(cd ../prg;tex manual)

../new/manual.dvi:
	(cd ../new;tex manual)

ieversion: ../tut/manual.dvi ../ref/manual.dvi ../ext/manual.dvi ../prg/manual.dvi ../new/manual.dvi
	$(BUILDIE) -c ../tut tut
	$(BUILDIE) -c ../ref ref
	$(BUILDIE) -c ../ext ext
	$(BUILDIE) -c ../prg prg
	$(BUILDIE) -c ../new new
	./allhtmlindex

clean:
	rm -f indx*.htm ref/*.htm tut/*.htm prg/*.htm ext/*.htm new/*.htm

## gap 4r4p12

=== cnf/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ##
 #W  Makefile			GAP source			 Frank Celler
 ##
-#H  @(#)$Id: Makefile,v 4.15.4.1 2006/03/06 13:37:07 gap Exp $
+#H  @(#)$Id: Makefile,v 4.15.4.2 2008/02/12 17:10:35 sal Exp $
 ##
 #Y  Copyright (C)  1997,  Lehrstuhl D fuer Mathematik,	RWTH Aachen,  Germany
 ##
@@ -50,8 +50,8 @@
 	@echo >> Makegap.in
 	@echo >> Makegap.in
 	@echo '# compile and link GAP' >> Makegap.in
-	@echo 'gap: $$(OBJECTS)' >> Makegap.in
-	@echo '	$$(CC) $$(CFLAGS) $$(LDFLAGS) -o gap $$(OBJECTS) -lm $$(MPILIBS) @LIBS@' >> Makegap.in
+	@echo 'gap: $$(OBJECTS) $$(ITANIUMOBJ)' >> Makegap.in
+	@echo '	$$(CC) $$(CFLAGS) $$(LDFLAGS) -o gap $$(OBJECTS) $$(ITANIUMOBJ) -lm $$(MPILIBS) $$(EXTOBJS)  @LIBS@' >> Makegap.in
 	@echo >> Makegap.in
 	@echo '# dependencies are automatically generated' >> Makegap.in
 	@(for i in `eval 'echo $(SOURCE)'`; do \

## gap 4r6p5

=== cnf/Makefile ===
#############################################################################
##
#W  Makefile			GAP source			 Frank Celler
##
##
#Y  Copyright (C)  1997,  Lehrstuhl D fuer Mathematik,	RWTH Aachen,  Germany
##
##  This file creates the `configure' scripts using `autoconf'.
##
CC=cc

SOURCE=\
ariths		blister		bool		c_meths1	c_type1	\
c_oper1         c_filt1   	c_random \
calls		code		compiler	compstat	costab	\
cyclotom	dt		dteval		exprs		finfield\
funcs		gap		gasman		gmpints		gvars	\
integer		intrprtr	listfunc	listoper	lists	\
objcftl		objects		objfgelm	objpcgel	objscoll\
objccoll	opers		permutat	plist		precord	\
range		rational	read		records		saveload\
scanner		sctable		set		stats		streams	\
string		sysfiles	system		tietze		vars	\
vecgf2		vec8bit         vector		vecffe		weakptr	\
iostream	macfloat	intfuncs


default: configure.out ../configure Makegap.in

config.hin: configure.in aclocal.m4
	autoheader

configure.out: configure.in aclocal.m4 config.hin
	autoconf
	sed -e 's%^srcdir=$$%srcdir=../../src%' \
	    -e 's%ac_dir_suffix=/.*$$%ac_dir_suffix=%' \
	    -e 's%config\.h:config\.hin%config.h:../../cnf/config.hin%' \
	    < configure > configure.out
	chmod 755 configure.out
	rm configure

../configure: ../configure.in
	( cd .. ; autoconf )

Makegap.in: Makegap.top Makefile Makegap.bottom
	@echo "creating 'Makegap.in'"
	@echo "# DO NOT EDIT THIS FILE BY HAND IT IS MACHINE GENERATED" > Makegap.in
	@cat Makegap.top >> Makegap.in
	@echo >> Makegap.in
	@echo '# OBJECTS are generated from SOURCE' >> Makegap.in
	@/bin/echo -n "OBJECTS=" >> Makegap.in
	@eval 'for i in $(SOURCE); do /bin/echo -n "$$i.o "; done' >> Makegap.in
	@echo '$$(GAPMPI_OBJ)' >> Makegap.in
	@echo >> Makegap.in
	@echo >> Makegap.in
	@echo '# compile and link GAP' >> Makegap.in
	@echo 'gap: $$(OBJECTS) $$(ITANIUMOBJ) $$(EXTOBJS) $$(GMP_LIBS)' >> Makegap.in
	@echo '	$$(CC) $$(LDFLAGS) -o gap $$(OBJECTS) $$(ITANIUMOBJ) -lm $$(MPILIBS) $$(EXTOBJS) $$(GMP_LIBS) $$(CONFLIBS)' >> Makegap.in
	@echo >> Makegap.in
	@echo '# compile and link gap.dll on cygwin' >> Makegap.in
	@echo 'gapdll: $$(OBJECTS) $$(ITANIUMOBJ) $$(EXTOBJS) $$(GMP_LIBS)' >> Makegap.in
	@echo '	$$(CC) $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS) -DCOMPILECYGWINDLL -o gap.o -c ../../src/gap.c' >> Makegap.in
	@echo '	$$(CC) $$(LDFLAGS) -o gap.dll -shared $$(OBJECTS) $$(ITANIUMOBJ) -lm $$(MPILIBS) $$(EXTOBJS) $$(GMP_LIBS) $$(CONFLIBS)' >> Makegap.in
	@echo '	$$(CC) $$(LDFLAGS) -o gapw95 ../../src/gapw95.c $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS) -DCOMPILECYGWINDLL gap.dll' >> Makegap.in
	@echo >> Makegap.in
	@echo '# dependencies are automatically generated' >> Makegap.in
	@(for i in `eval 'echo $(SOURCE)'`; do \
	    $(CC) -MM -MG -I .. -DUSE_PRECOMPILED ../src/$$i.c; \
	    echo '	$$(CC) $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS)' -o $$i.o -c ../src/$$i.c; \
	    echo ; \
	done \
	) | sed -e 's:../src:@srcdir@:g' | sed -e 's:extern:../../extern:g' | sed -e 's#\.o: #.o: ../../Makefile #g' >> Makegap.in
	@cat Makegap.bottom >> Makegap.in

=== debian/changelog ===
gap (4r6p5-3) unstable; urgency=low

  * new patch:
     - mips-macfloat: added: workaround for an alignement issue on mips(el).
  * debian/rules:
   - build gap-dev object files with -fPIC to be compatible with use in shared
     libraries.

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Sep 2013 15:00:06 +0200

gap (4r6p5-2) unstable; urgency=low

  * debian/copyright: Bump version
  * patches:
     - configure: renamed to configure-gapdir
     - configure-abi: do not pass -m to gcc (fix FTBFS on ia64, mips and arm).
     - hurd-task_self: use mach_task_self instead of task_self on GNU/hurd.

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Sep 2013 22:32:50 +0200

gap (4r6p5-1) unstable; urgency=low

  * New upstream release. Closes: #677668.
    + Fix crashes while displaying large character tables. Closes: #605269.
    + debian/tarball, debian/README.source: update for new upstream tarball
    + debian/watch: added, for new upstream tarball
    + debian/rules: 
      - no need to add -fno-strict-aliasing to CFLAGS
  * Move to new source format 3.0 (quilt). Patches applied:
     - config-sub-guess: use autotools-dev config.* version
     - configure: fix path in configure
     - doc-makefile: add Makefile for clean/install
     - gac-object: fix OBJECTS variable in gac script
     - gac: update path in gac script
     - configure-fpic: use -fPIC instead of -fpic
     - configure-ncurses: do not require ncurses to link readline
  * debian/control:
    - Build-Depends on libgmp-dev and gap-gapdoc
    - gap-libs now depends on gap-gapdoc
    - Bump Standards-Version to 3.9.4.
  * debian/gap-core.triggers, debian/gap-core.postinst:
    - Fix to handle compressed workspaces
  * Move to debhelper 5
  * debian/rules:
    - use dh_prep instead of dh_clean -k

 -- Bill Allombert <ballombe@debian.org>  Sun, 08 Sep 2013 11:44:42 +0200

gap (4r4p12-2) unstable; urgency=low

  * debian/rules: 
    - add -fno-strict-aliasing to CFLAGS to avoid issues with newer gcc.
  * src/sysfiles.c: 
    - Prefer termios.h over sgtty.h. This fix a build failure on kfreebsd.

 -- Bill Allombert <ballombe@debian.org>  Thu, 25 Nov 2010 11:07:30 +0100

gap (4r4p12-1) unstable; urgency=low

  * New upstream release. Closes: #510823.
    - Better support for ia64 architecture.
  * debian/rules:
    - No more build with -O0 on ia64.
  * Move doc-base menu entries to Science/Mathematics. Closes: #458543.
    Thanks Marco Rodrigues.
  * debian/README.Debian: remove paragraph about upgrade from Sarge.
  * debian/gap-core.links:
    - Add symlink /usr/share/gap/sysinfo.gap -> /usr/lib/gap/sysinfo.gap
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Move Homepage field from description to the source section.
  * debian/tarball:
    - Extract gap and tomlib versions from files in the tarballs.
  * debian/README.source: (added)
    - Document how to generate the Debian tarballs from the upstream ones.
  * debian/gap-core.triggers, debian/gap-core.postinst
    - Set up a trigger to rebuild the system GAP workspace if it exists,
      when Debian GAP packages are updated.
  * debian/doc/update-gap-workspace.1, debian/doc/gap-policy.sgml
    - Document that the system GAP workspace is automatically updated.

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Feb 2009 10:35:52 +0100

gap (4r4p10-2) unstable; urgency=low

  * Change make_doc to use #!/bin/bash to allow building with 
    /bin/sh->/bin/dash. Closes: #459064.
  * debian/copyright:
    - convert to UTF-8
  * debian/control:
    - bump Standards-Version to 3.7.3.

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 Jan 2008 11:29:01 +0100

gap (4r4p10-1) unstable; urgency=low

  * New upstream release
  * Change debian/tarball script to include tools tarball in source.
  * Update menu entry section to Applications/Science/Mathematics.
  * debian/control:
    - Build-Depends on texlive-base instead of tetex-*.
    - Use ${binary:Version} instead ${Source-Version}

 -- Bill Allombert <ballombe@debian.org>  Thu, 22 Nov 2007 18:37:55 +0100

gap (4r4p9-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Sun, 12 Nov 2006 15:49:23 +0100

gap (4r4p8-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Versions to 3.7.2
  * debian/control: 
     - Use ${source:Version} instead ${Source-Version} to allow binNMU.
     - Build-Depends on dpkg-dev (>= 1.13.19)
  * Fix whatis entries of gap(1) and update-gap-workspace(1).
  * Do not hard-code path to mrabbrev, see #359684. Thanks Frank Küster

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Oct 2006 21:39:57 +0200

gap (4r4p7-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Change -X\\.pdf to -X.pdf since dh_install was fixed.
  * regenerate GAP manpage.

 -- Bill Allombert <ballombe@debian.org>  Sat, 25 Mar 2006 13:01:43 +0100

gap (4r4p6-1) unstable; urgency=low

  * New upstream release
  * sysinfo.gap: moved to gap-core
  * debian/control: gap-core replaces gap-dev sysinfo.gap file.
  * debian/README.Debian: document that some GAP packages require 
    gap-dev to build.

 -- Bill Allombert <ballombe@debian.org>  Tue, 18 Oct 2005 08:41:30 +0200

gap (4r4p5-1) unstable; urgency=low

  * New upstream release
    - This release includes lib/colorprompt.g by Frank Luebeck.
  * Update README.Debian to reflect the new instructions to set up 
    colors in gap.
  * cnf/gac.in: Remove spurious final rmdir (sigh).
  * Tighten dependencies to avoid differents parts of GAP getting 
    out of sync with each others.
  * Bump Standard-Versions to 3.6.2
  * Add icon to menu entry.

 -- Bill Allombert <ballombe@debian.org>  Fri,  1 Jul 2005 16:50:34 +0200

gap (4r4p4-1) unstable; urgency=low

  * New upstream release
  * Remove obsolete watch file.
  * Fix sections of doc-base files.
  * GAP packaging policy: Recommends to compress large datasets. 
  * README.Debian: Add sections "Browsing GAP Documentation", "Large GAP


=== debian/control ===
Source: gap
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev, gap-gapdoc
Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, help2man
Standards-Version: 3.9.4
Homepage: http://www.gap-system.org/

Package: gap
Architecture: all
Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
Recommends: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
Suggests: gap-small-groups-extra,gap-character-tables,gap-table-of-marks
Description: Groups, Algorithms and Programming computer algebra system
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This is a dummy package that depends on the standard GAP components.

Package: gap-core
Architecture: any
Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
Recommends: gap-online-help
Suggests: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
Replaces: gap (<< 4r3n4), gap-dev (<< 4r4p6)
Description: GAP computer algebra system, core components
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This package contains the core GAP system.

Package: gap-libs
Architecture: all
Depends: ${misc:Depends}, gap-gapdoc
Description: GAP computer algebra system, essential GAP libraries
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This package contains the essential GAP libraries (lib and grp).

Package: gap-dev
Section: devel
Architecture: any
Depends: gap-core (=${binary:Version}), gcc, ${misc:Depends}
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This package contains the GAP compiler and the headers files and
 objects files necessary to build GAP packages.
 .
 The GAP compiler (GAC) creates C code from GAP code and then calls
 the system's C compiler to produce machine code from it. This can
 result in a speedup.

Package: gap-online-help
Architecture: all
Depends: gap-core, ${misc:Depends}
Description: GAP computer algebra system, online help
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language.
 .
 This package contains the documentation in TeX format needed for the online
 help system.

Package: gap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gap
Description: GAP computer algebra system, documentation
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language.
 .
 This package contains the documentation in DVI and PDF formats.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
# Modified for GAP by Bill Allombert 2002-2013

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#strip is handled by dh_strip
CFLAGS = -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif


config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system

prep: prep-stamp
prep-stamp:
	mkdir pkg
	ln -s /usr/share/gap/pkg/gapdoc pkg
	touch prep-stamp

build-arch:  config.status build-arch-stamp
build-arch-stamp: prep-stamp
	dh_testdir
	$(MAKE) "CFLAGS=$(CFLAGS) -fPIC" compile
	mv bin/*/ pic
	$(MAKE) "CFLAGS=$(CFLAGS)" compile
	#Run a basic test.
	echo 'ReadTest("tst/combinat.tst");'| bin/*/gap -q | tee debian/gap.tst
	grep -q "^true" debian/gap.tst 

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp: build-arch-stamp
	dh_testdir
	env GAP_DIR=`pwd` $(MAKE) manuals
	$(MAKE) -C debian/doc

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp prep-stamp

	if [ -f Makefile ]; then $(MAKE) clean; fi

	$(MAKE) -C doc clean
	$(MAKE) -C debian/doc clean

	rm -f sysinfo.gap 
	rm -rf bin pkg pic
	rm -f debian/gap.tst

	dh_clean

install: install-arch install-indep
install-arch: build-arch
	dh_testdir -a
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a
	dh_install -a
	
	install -m 466 sysinfo.gap debian/gap-core/usr/lib/gap
	install -m 755 bin/*/gap debian/gap-core/usr/bin/gap.real
	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
	install -m 755 bin/*/gac debian/gap-dev/usr/bin/gac

	dh_installdocs -a --all debian/changelog-*.Debian
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs  -a

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep -i

	$(MAKE) -C doc install-pdf install-html "DESTDIR=../debian/gap-doc"
	$(MAKE) -C doc install-help "DESTDIR=../debian/gap-online-help"
	$(MAKE) -C debian/doc install "DESTDIR=../gap-doc"
	
	dh_installdirs -i
	dh_install -i
	dh_installdocs -i --all debian/changelog-*.Debian
	dh_installexamples -i 
	dh_installinfo -i
	dh_installchangelogs  -i
	

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_link -i
	dh_compress -i 
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
ftp://ftp.gap-system.org/pub/gap/gap4core/gap(\dr\dp\d+)_nopackages.zip debian
